

/* 	Author: 
	Content: 
	Date:

*/


* Header Information

version 11 /* Hiermit wird die aktuelle Version von Stata gendert. Natrlich nur Downgrade der aktuell hchsten Version mglich. */
clear all /* Alle vorherigen Befehle sind unwirksam */

capture log close /* Capture ignoriert alle Befehle. Schliet den Log unter der Vorraussetzung, dass einer offen ist. */
set more off /* Zustzliche Informationen werden ausgeschaltet  */
set memory 500m /* Bei Stata kann eingestellt werden, wie gro der genutzte Arbeitsspeicher sein soll. In diesem Fall 500 Megabytes. */


local breite = 30 			/* Der Befehl global wird fr den gesamten Datensatz genutzt. Local hingegen bezieht sich nur auf den fr uns relevanten Teil des Datensatzes und geht nur bis zum Ende des Do-Files. In diesem Fall soll die Variable 30 betragen.*/ 
local hoehe = 30 			/* Der Befehl global wird fr den gesamten Datensatz genutzt. Local hingegen bezieht sich nur auf den fr uns relevanten Teil des Datensatzes. In diesem Fall soll die Variable hoehe 30 Einheiten betragen.*/ */ 
local runden = 10000 		/* Setzt die variable runden auf 10000 */ 
local jagd_wsk = 0.33 		/* Setzt die Variable jagd_wsk auf 0,33 */ 
local start_g = 0.55		/* Setzt die Variable start_g auf 0,55 */ 
local start_h = 0.2			/* Setzt die Variable start_h auf 0,2 */
local start_f = 0.05		/* Setzt die variable start_f auf 0,05 */




/* --------------------------  ----------------------------------------- */

set obs `runden' /* Die Anzahl der Beobachtungen soll den Wert der variable runden annehmen  */ 

qui gen runde = _n /* Quietly bedeutet, dass der nachfolgende Befehl nicht unmittelbar umgesetzt wird. Es soll die neue Variable runde generiert werden fr die Anzahl der Beobachtungen (10000).  */
qui gen leer = . /* Quietly bedeutet, dass der nachfolgende Befehl nicht unmittelbar umgesetzt wird. Es soll die neue Variable leer generiert werden. Diese soll den Wert Punkt (Platzhalter) annehmen. Durch edit kann ein vernderbarer Browser geffnet werden, indem die Platzhalter ersetzt werden knnen.  */
qui gen gras = . /* Quietly bedeutet, dass der nachfolgende Befehl nicht unmittelbar umgesetzt wird. Es soll die neue Variable gras generiert werden. */
qui gen hase = . /* Quietly bedeutet, dass der nachfolgende Befehl nicht unmittelbar umgesetzt wird. Es soll die neue Variable hase generiert werden. */
qui gen fuchs = . /* Quietly bedeutet, dass der nachfolgende Befehl nicht unmittelbar umgesetzt wird. Es soll die neue Variable fuchs generiert werden. */


local gras = round(`start_g'*`breite'*`hoehe') /* Die Variable gras soll definiert werden als das Produkt der drei genannten Variablen. Mit round wird der Wert gerundet. */ 
local fuchs = round(`start_f'*`breite'*`hoehe') /* Die Variable gras soll definiert werden als das Produkt der drei genannten Variablen. Mit round wird der Wert gerundet. */
local hase = round(`start_h'*`breite'*`hoehe') /* Die Variable gras soll definiert werden als das Produkt der drei genannten Variablen. Mit round wird der Wert gerundet. */
local leer = `breite'*`hoehe' -`gras'-`hase'-`fuchs' /* Die Variable leer soll definiert werden als das Produkt aus den Werten von breite und hoehe. Die Werte von gras hase und fuchs sollen subtrahiert werden. */

local gras0 = `gras' /* die Variable gras 0 soll den jeweiligen Wert von gras annehmen */
local fuchs0 = `fuchs' /* die Variable fuchs 0 soll den jeweiligen Wert von fuchs annehmen */
local hase0 = `hase' /* die Variable hase 0 soll den jeweiligen Wert von hase annehmen */
local leer0 = `leer' /* die Variable leer 0 soll den jeweiligen Wert von leer annehmen */



/* --------------------------  ----------------------------------------- */

forvalues i=1(1)`breite'{ /* Erstellt i1, i2, i3 usw. in der Anzahl des Wertes der Variable breite. ---> Grundrestriktion fr eine Schleife. */

qui gen f`i' = . /* Fr die jeweiligen i Werte werden Punkte gesetzt. */
label var f`i' "Reihe `i' " /* Benennt die Werte von i mit dem Namen Reihe i */
label values f`i' namen`i' /* Ordnet den Werten von i die jeweiligen namen zu, die in der nchsten Zeile definiert werden.  */
label define namen`i' 0 "Gras" 1 "Hase" 2 "Fuchs" /* Wenn namen i 0 betrgt, soll die Bezeichnung Gras sein, wenn 1, dann Hase, wenn 2, dann Fuchs. */

}



/* --------------------------  ----------------------------------------- */

local i = 0 /* i wird als 0 definiert*/
while `i' < `gras' { /* Die nachfolgende Schleife wird nur eingeleitet, wenn der Wert von i kleiner ist als der von Gras. */
 
local z1 = 1+int(runiform()*`breite') /* Der Datentyp integer bezeichnet hier das Produkt aus runiform und den Wert von Breite fr ganzzahlige Nummern. Runiform ist eine zufllige Zahl im Bereich 0 und 1.  */
local z2 = 1+int(runiform()*`hoehe') /* Der Datentyp integer bezeichnet hier das Produkt aus runiform und den Wert von Hoehe fr ganzzahlige Nummern. Runiform ist eine zufllige Zahl im Bereich 0 und 1.  */

if f`z1'[`z2'] == . { /* Der if Befehl wird dann verwendet, wenn nur ein kleinerer Teil des Datensatzes verwendet wird. Wenn der Wert von z1 gleich Punkt ist, soll nachfolgender Befehl ausgefhrt werden.  */ 
cap replace f`z1' = 0 in `z2' /* Capture ignoriert Fehlermeldungen. Ersetzt den Wert z1 durch Z2, wenn z1 den Wert 0 annimmt. */
local i = `i'+1 /* Erstellt Variable i, welche den jeweiligen Wert von i + 1 entspricht. */

}
}

/* --------------------------  ----------------------------------------- */

local i = 0 /* Siehe die Befehle ab Zeile 69, anstatt Gras, hase. */
while `i' < `hase' {
 
local z1 = 1+int(runiform()*`breite')
local z2 = 1+int(runiform()*`hoehe')

if f`z1'[`z2'] == . {
cap replace f`z1' = 1 in `z2'
local i = `i'+1

}
}

/* --------------------------  ----------------------------------------- */

local i = 0 /* Siehe die Befehle ab Zeile 69, anstatt Gras, fuchs. */
while `i' < `fuchs' {
 
local z1 = 1+int(runiform()*`breite')
local z2 = 1+int(runiform()*`hoehe')

if f`z1'[`z2'] == . {
cap replace f`z1' = 2 in `z2'
local i = `i'+1 

}
}

/* --------------------------  ----------------------------------------- */


forvalues i=1(1)`runden'{ /* Erstellt i1, i2, i3 usw. in der Anzahl des Wertes der Variable runden. ---> Grundrestriktion fr eine Schleife. */

local z1 = 1+int(runiform()*`breite') /* Der Datentyp integer bezeichnet hier das Produkt aus runiform und den Wert von Breite fr ganzzahlige Nummern. Runiform ist eine zufllige Zahl im Bereich 0 und 1. */
local z2 = 1+int(runiform()*`hoehe') /* Der Datentyp integer bezeichnet hier das Produkt aus runiform und den Wert von Breite fr ganzzahlige Nummern. Runiform ist eine zufllige Zahl im Bereich 0 und 1. */


/* --------------------------  ----------------------------------------- */

if `z1' > 1 { /* Wenn der Wert von z1 grer ist als z1, soll ... passieren */
local z1_l = `z1'-1  /* Die Variable z1_1 soll ersetzt werden durch den Wert von z1 -1. */
}
else { /* ansonten soll ... passieren*/
local z1_l = `z1' /* Die genannte Variable soll durch den Wert von z1 ersetzt werden */
}


if `z1' < `breite'-1 { /* Wenn der Wert von z1 grer ist als der Wert von breite - 1, soll ... passieren */
local z1_r = `z1'+1  /* Die Variable z1_r soll ersetzt werden durch den Wert von z1 -1. */
}
else { /* ansonten soll ... passieren*/
local z1_r = `z1' /* Die genannte Variable soll durch den Wert von z1 ersetzt werden */
}

if `z2' > 1 { /* Wenn der Wert von z2 grer ist als 1, soll ... passieren */
local z2_o = `z2'-1  /* Die Variable z2_o soll ersetzt werden durch den Wert von z1 -1. */
}
else { /* ansonten soll ... passieren*/
local z2_o = `z2' /* Die genannte Variable soll durch den Wert von z2 ersetzt werden */
}


if `z2' < `hoehe'-1 { /* Wenn der Wert von z2 grer ist als der Wert von hohe - 1, soll ... passieren */
local z2_u = `z2'+1  /* Die Variable z2_u soll ersetzt werden durch den Wert von z1 -1. */
}
else { /* ansonten soll ... passieren*/
local z2_u = `z2' /* Die genannte Variable soll durch den Wert von z2 ersetzt werden */
}

/* --------------------------  ----------------------------------------- */


if f`z1'[`z2'] == . { /* Wenn der Wert von z1 einen Punkt annimmt, soll ... passieren */
cap replace f`z1' = 0 in `z2' /* Der Wert von z1 soll, wenn dieser 0 betrgt, in den Wert von z2 umgewandelt werden */
local gras = `gras'+1 /* Die Variable Gras ist gleich den Wert von gras +1 */
local leer = `leer'-1 /* Die Variable leer soll durch den Wert von leer -1 ersetzt werden. */
}

else if f`z1'[`z2'] == 0 & (f`z1_l'[`z2'] == 1 | f`z1_r'[`z2'] == 1 | f`z1'[`z2_o'] == 1 | f`z1'[`z2_u'] == 1) { /* ansonsten wenn der Wert von z1 0 annimmt, der Wert von z1_1 = 1 annimmt, der Wert von z1_r 1 ist, der Wert von z1 1 ist, dann [...]  */
cap replace f`z1' = 1 in `z2' /* Der Wert von z1 soll durch z2 ersetzt werden, wenn er 1 betrgt. */
local gras = `gras'-1 /* Die Variable gras soll den Wert von gras - 1 annehmen */
local hase = `hase'+1 /* Die Variable hase soll den Wert von Hase + 1 annehmen */
}

else if f`z1'[`z2'] == 1 & (f`z1_l'[`z2'] == 2 | f`z1_r'[`z2'] == 2 | f`z1'[`z2_o'] == 2 | f`z1'[`z2_u'] == 2) { /* Wie in 162, nur statt 0 1 und statt 1 2 */
cap replace f`z1' = 2 in `z2' /* Der Wert von z1 soll durch den Wert von z2 ersetzt werden, wenn er 1 betrgt. */
local hase = `hase'-1 /* Die Variable hase soll den Wert von hase - 1 annehmen */
local fuchs = `fuchs'+1 /* Die Variable fuchs soll den Wert von fuchs + 1 annehmen */
}


else if f`z1'[`z2'] == 1 & f`z1_l'[`z2'] == 0 { /* siehe oben, nur mit vernderten Variablen und Zahlen*/
cap replace f`z1_l' = 1 in `z2' /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local hase = `hase'+1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local gras = `gras'-1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
}


else if f`z1'[`z2'] == 1 & f`z1_r'[`z2'] == 0 { /* siehe oben, nur mit vernderten Variablen und Zahlen*/
cap replace f`z1_r' = 1 in `z2' /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local hase = `hase'+1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local gras = `gras'-1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
}


else if f`z1'[`z2'] == 1 & f`z1'[`z2_o'] == 0 { /* siehe oben, nur mit vernderten Variablen und Zahlen*/
cap replace f`z1' = 1 in `z2_o' /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local hase = `hase'+1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local gras = `gras'-1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
}

else if f`z1'[`z2'] == 1 & f`z1'[`z2_u'] == 0 { /* siehe oben, nur mit vernderten Variablen und Zahlen*/
cap replace f`z1' = 1 in `z2_u' /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local hase = `hase'+1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
local gras = `gras'-1 /* siehe oben, nur mit vernderten Variablen und Zahlen*/
}



else if f`z1'[`z2'] == 2 { /* ansonsten, wenn der Wert von z1 2 annimmt, dann ... */
local kill = runiform() /* Die Variable kill soll einen zuflligen Wert zwischen 0 und 1 ergeben. */

if `kill'<`jagd_wsk' { /* Wenn der Wert von kill kleiner ist als der Wert von jagd_wsk, dann soll ... passieren */
cap replace f`z1' = . in `z2' /* Wenn der Wert von z1 einen . annimmt, soll er in den Wert von z2 annehmen. */ 
local leer = `leer'+1 /* die Variable leer soll den Wert von leer annehmen + 1 */
local fuchs = `fuchs'-1 /* die Variable fuchs soll den Wert von Fuchs annehmen - 1 */
}

else {
}


}



else {

}

cap replace leer = `leer' in `i' /* Die einzelnen Beobachtungen werden den i's zugewiesen */ 
cap replace gras = `gras' in `i' /* Die einzelnen Beobachtungen werden den i's zugewiesen */
cap replace hase = `hase' in `i' /* Die einzelnen Beobachtungen werden den i's zugewiesen */
cap replace fuchs = `fuchs' in `i' /* Die einzelnen Beobachtungen werden den i's zugewiesen */

}



line leer gras hase fuchs runde /* Erstellt das Liniendiagramm. */



// clear all Setzt alles wieder zurck
// set mem 1m Der Speicher soll auf 1 Megabyte zurckgesetzt werden.
// exit, STATA Stata soll geschlossen werden.

* EOF


